> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/import-dspamscanresult.md).

# Import-DSPamScanResult

Import-DSPamScanResult importe les comptes détectés d'un résultat d'analyse PAM dans un dossier spécifié dans Devolutions Server.

### Synopsis

Importer les comptes d'un résultat d'analyse PAM

### Syntaxe

#### Reset

```
Import-DSPamScanResult [-ScanResult] <PSScanResult[]> [-Provider] <PamProvider> [-FolderID] <guid>
 [-ResetPasswordOnImport] [-ResetPasswordOnCheckIn] [<CommonParameters>]
```

#### Unmanaged

```
Import-DSPamScanResult [-ScanResult] <PSScanResult[]> [-Provider] <PamProvider> [-FolderID] <guid>
 -Unmanaged [-UnmanagedAction <UnmanagedImportAction>] [<CommonParameters>]
```

### Description

Importer les comptes d'un résultat d'analyse PAM

### Exemples

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

À partir du résultat de l'analyse PAM « ScanA », importer tous les comptes qui ont « @domain.net » dans leur nom d'utilisateur, nom d'hôte, nom complet ou description dans le dossier PAM spécifié par $folderID.

### Paramètres

#### -FolderID

Dossier PAM

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Provider

Fournisseur obtenu de Get-DSPamProvider

```yaml
Type: Devolutions.Server.Pam.Dto.PamProvider
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ResetPasswordOnCheckIn

Réinitialiser le mot de passe à la restitution

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Reset
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ResetPasswordOnImport

Réinitialiser le mot de passe à l'importation

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Reset
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ScanResult

Comptes PAM révélés par une analyse PAM. Doivent être du même type.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSScanResult.PSScanResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Unmanaged

Définir les comptes comme non gérés

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Unmanaged
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -UnmanagedAction

Définir les comptes comme non gérés. Pour définir manuellement le mot de passe, vous devez modifier directement les résultats de l'analyse. L'action par défaut est de définir le mot de passe manuellement.

```yaml
Type: Devolutions.Server.Managers.Pam.Enums.UnmanagedImportAction
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Unmanaged
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'information, tapez « Get-Help Import-DSPamScanResult -detailed ». Pour de l'information technique, tapez « Get-Help Import-DSPamScanResult -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/import-dspamscanresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
